#!/bin/bash

. /var/epages/functions.sh

ETC_DEFAULT=$(etc_default $(cd $(dirname $BASH_SOURCE)/../../.. && pwd))

if [ ! -f "$ETC_DEFAULT" ] ; then
  echo -n "$BASH_SOURCE: " ; ls "$ETC_DEFAULT"
  exit 1
fi

. "$ETC_DEFAULT"

if [ ! -x "$EP_HTTPD" -a ${0##*/} = httpd.sh ] ; then
  echo "$0: \$EP_HTTPD not executable: $EP_HTTPD"
  exit 1
fi

LD_LIBRARY_PATH=$(epages_libs)

[ ${0##*/} != httpd.sh ] || exec $EP_HTTPD "$@"
